ApiEnableCatalogStatestoreHaArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiEnableCatalogStatestoreHaArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEnableCatalogStatestoreHaArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiEnableCatalogStatestoreHaArguments
      extends Object

  Arguments used for the \"enable Catalog StateStore HA\" command. The \"enable Catalog Statestore HA\" command includes enabling catalog and statestore HA, therefore the arguments of it include the required catalog and statestore information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEnableCatalogStatestoreHaArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getNewCatalogHostId()` HostId of the host on which the second Catalog role will be created.
    `String` | `getNewCatalogRoleName()` Name of the second Catalog role to be created.
    `String` | `getNewStatestoreHostId()` HostId of the host on which the second Statestore role will be created.
    `String` | `getNewStatestoreRoleName()` Name of the second Statestore role to be created.
    `int` | `hashCode()`
    `ApiEnableCatalogStatestoreHaArguments` | `newCatalogHostId(String newCatalogHostId)`
    `ApiEnableCatalogStatestoreHaArguments` | `newCatalogRoleName(String newCatalogRoleName)`
    `ApiEnableCatalogStatestoreHaArguments` | `newStatestoreHostId(String newStatestoreHostId)`
    `ApiEnableCatalogStatestoreHaArguments` | `newStatestoreRoleName(String newStatestoreRoleName)`
    `void` | `setNewCatalogHostId(String newCatalogHostId)`
    `void` | `setNewCatalogRoleName(String newCatalogRoleName)`
    `void` | `setNewStatestoreHostId(String newStatestoreHostId)`
    `void` | `setNewStatestoreRoleName(String newStatestoreRoleName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEnableCatalogStatestoreHaArguments

          public ApiEnableCatalogStatestoreHaArguments()

  - ### Method Detail

    - #### newCatalogHostId

          public ApiEnableCatalogStatestoreHaArguments newCatalogHostId(String newCatalogHostId)

    - #### getNewCatalogHostId

          public String getNewCatalogHostId()

      HostId of the host on which the second Catalog role will be created.
      Returns:
        newCatalogHostId

    - #### setNewCatalogHostId

          public void setNewCatalogHostId(String newCatalogHostId)

    - #### newCatalogRoleName

          public ApiEnableCatalogStatestoreHaArguments newCatalogRoleName(String newCatalogRoleName)

    - #### getNewCatalogRoleName

          public String getNewCatalogRoleName()

      Name of the second Catalog role to be created.
      Returns:
        newCatalogRoleName

    - #### setNewCatalogRoleName

          public void setNewCatalogRoleName(String newCatalogRoleName)

    - #### newStatestoreHostId

          public ApiEnableCatalogStatestoreHaArguments newStatestoreHostId(String newStatestoreHostId)

    - #### getNewStatestoreHostId

          public String getNewStatestoreHostId()

      HostId of the host on which the second Statestore role will be created.
      Returns:
        newStatestoreHostId

    - #### setNewStatestoreHostId

          public void setNewStatestoreHostId(String newStatestoreHostId)

    - #### newStatestoreRoleName

          public ApiEnableCatalogStatestoreHaArguments newStatestoreRoleName(String newStatestoreRoleName)

    - #### getNewStatestoreRoleName

          public String getNewStatestoreRoleName()

      Name of the second Statestore role to be created.
      Returns:
        newStatestoreRoleName

    - #### setNewStatestoreRoleName

          public void setNewStatestoreRoleName(String newStatestoreRoleName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.